% function 'cheby': constructs Chebyshev polynomials from 2 up to the mth degree 
%                   computed at the nodes x (where x is a row vector)

function T=cheby1(m,x);

T=[x'];

for i=3:m,
   T=[T;2*x'.*T(i-1,:)-T(i-2,:)];
end
