run startdsgeprioeuro;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%      paths & parameters
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%      paths & parameters
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
chdata = choosedata;
[mspec,mprior,dataset,dates,nvar,nlags,T0,Tend,npara,lambdaseq,para_names,bounds,para, ...
        varnames,cum_for,polipar,polivalue,cum_irf,names_shocks,fixparamseq,coint,JustMode, ...
        stime,st,nblocks,nsim,nburn,qahead,para_mask,para_fix] = varspec(chdata);

nirf = 10;
[TTT,RRR,valid] = dsgesolv(para,mspec);

para = [  0.0113   
0.6002
   0.0402
   0.1153
   1.0033
   1.0000
   0.5843
   0.3237
   2.0290
   0.6631
   0.2679
   2.7612
   1.7000
   0.0274
   0.8473
   2.2194
   0.4891
  -5.1008
   0.0753
   0.3895
   1.1479 - 0.0197i
   5.3111
        0
   0.9390
   0.9095
   0.9069
   0.9569
   0.7453
   0.9298
   0.3941
   0.6558
   0.9968
   0.1478
   0.6779
   0.6154
   0.2475
   0.0641];

 

[ZZ,DD,QQ,EE,MM,retcode] = measur(TTT,RRR,valid,para,nvar,nlags,mspec,npara,coint);

impact = diag(sqrt(diag(QQ))); %%only if QQ is diagonal, otehrwise impact = chol(QQ)';

nstate = size(TTT,1);
nex = size(QQ,1);

%% compute irf

for I = 1:nex
	imp = impact(:,I);
	ssirf = zeros(nstate,nirf);
	yyirf = zeros(nvar,nirf);

    	ssirf(:,1) = RRR*imp;
  	yyirf(:,1) = ZZ*ssirf(:,1) + MM*imp;
	for t = 2:nirf;
        	ssirf(:,t) = TTT*ssirf(:,t-1);
		yyirf(:,t) = ZZ*ssirf(:,t);
    	end;
	yyirf(cum_irf,:) = cumsum(yyirf(cum_irf,:),2);
	yyirf = yyirf';

	for i = 1:nvar
		subplot(ceil(nvar/2),2,i); plot(yyirf(:,i)); title(varnames(i));
	end
	subtitle(names_shocks(I));
	pause	
end




