addpath('/mnt/nas02/f1mdn14/amdn/wk/dsgeprio/fed/404/4');
mod = num2str(106);
fname = strcat('/mnt/nas02/f1mdn14/amdn/wk/dsgeprio/fed/404/4/',mod,'t.txt')
  marg = importdata(fname);


fname = strcat('/mnt/nas02/f1mdn14/amdn/wk/dsgeprio/fed/404/4/',mod,'t_old.txt')
  marg_old = importdata(fname);

%marg_old(:,3) = [];


outfile = strcat('/mnt/nas02/f1mdn14/amdn/wk/dsgeprio/fed/404/4/',mod,'margdiff.txt')
fid = fopen(outfile,'w');		% output file (set to write)


figure(1);
for i = 3:(size(marg,2)-1)
  d_m = marg(2:end,i)-marg_old(2:end,i);
subplot(ceil((size(marg,2)-3)/2),2,i-2);
plot(marg(2:end,1),d_m,'k-');
hold on;
plot(marg(2:end,1),5,'r:');
hold on;
plot(marg(2:end,1),-5,'r:');
hold on;
plot(marg(2:end,1),3,'r:');
hold on;
plot(marg(2:end,1),-3,'r:');
hold off;
title(num2str(marg(1,i)));

fprintf(fid,'\n\n %2.2f : ',marg(1,i));
i_find = find(d_m<-5)
for i_ = i_find'
   
  fprintf(fid,' %2.0f ( %2.2f ) ; ',[i_,d_m(i_)]);
end
end

fclose(fid);

figure(1)
gname = strcat('/mnt/nas02/f1mdn14/amdn/wk/dsgeprio/fed/404/4/',mod,'compmarg')
%print(char(strcat(gname,'.eps')),'-depsc'); 
print(char(strcat(gname,'.pdf')),'-dpdf');

clf; clear all; close all;
