function xx = XX(x);
%% function xx = XX(x)
%% xx=  x'*x using singular value decomposition

if size(x,1) >= size(x,2)
    [U,S,V] = svd(x);
    xx1 = V*diag(diag(S).^2)*V.';
else
    [U,S,V] = svd(x');
    S1 =  zeros(size(x,2),size(x,2));
    S1(1:size(x,1),1:size(x,1)) = diag(diag(S).^2);
    xx = U*S1*U.';
end

