%Correlation across y

function [coef,ster,pers]=autocorr2(y);

t=rows(y);
at=y(2:t,:);
at1=y(1:t-1,:);

% coefficients
coef=diag(at.'*mz(at1)*at1)./diag(at1.'*mz(at1)*at1);

% residuals
res=mz(at)*at-mz(at1)*at1*diag(coef);

% standard errors and tstatistics
ster=sqrt((diag(res.'*res)/(t-1))./diag(at1.'*mz(at1)*at1));

% find significant coeffs

pers=100*length(find(abs(coef./ster)>1.96))/size(y,2);

