%% give values to params
params = parahat;
%params(7)=1000
%% length of irfs
nirf = 10

[TTT,RRR,valid] = dsgesolv(params,mspec);
%% construct measurement equation
[ZZ,DD,DDcoint,QQ,EE,MM,retcode] = measur(TTT,RRR,valid,params,nvar,nlags,mspec,npara,coint,cointadd,cointall);

%if coint > 0
%   DDcoint = DD(nvar+1:nvar+coint,:);
%   ZZcoint = ZZ(nvar+1:nvar+coint,:);
%end

%% Remove cointegration component from ZZ, DD, EE, MM


impact = diag(sqrt(diag(QQ))); %%only if QQ is diagonal, otherwise impact = chol(QQ)';

nstate = size(TTT,1);
nex = size(QQ,1);

ZZ = eye(nstate);

statesnames = {'y_t';'c_t';'i_t';'k_t';'kbar_t';'L_t';'m_t';'mc_t';'pi_t';'R_t';'rk_t';'u_t';'w_t';'wtil_t';'xi_t';'xik_t'};
stateschoose =[  1     0     0     1     0        1     0     1      1      0     1      1     1     0        0       0   ];
stateslist = find(stateschoose);
nlist = length(stateslist);
statesnames_ = statesnames(stateslist);

ZZ = ZZ(stateslist,:);
MM = zeros(nlist,nex);

shlist = [1]

%% compute irf
aairfall = [];

for I = shlist

    imp = impact(:,I);
    ssirf = zeros(nstate,nirf);
    yyirf = zeros(nlist,nirf);

    ssirf(:,1) = RRR*imp;
    yyirf(:,1) = ZZ*ssirf(:,1);
    for t = 2:nirf;
        ssirf(:,t) = TTT*ssirf(:,t-1);
        yyirf(:,t) = ZZ*ssirf(:,t);
    end;
    aairfall = [aairfall,yyirf'];
end


  titlenames = statesnames(stateslist);
  tirf = (1:1:nirf)';
  

    for V = 1:nlist
      figure(1005);
      subplot(ceil(nlist/3),3,V);  
      m = aairfall(:,V);
      P = plot(tirf,m,'r-');
      set(P,'LineWidth',1);
      hold on;
      P = plot(tirf,zeros(size(m)),'r:');
      set(P,'LineWidth',.35);      
      hold off;
      


        P = title(statesnames_(V));
        set(P,'FontSize',12);
      
      set(gca,'XLim',[min(tirf),max(tirf)]);
      set(gca,'XTick',tirf([1:4:end]));
      set(gca,'XTickLabel',num2str(tirf([1:4:end])-1));       
      
    end                                                
      figure(1005);
        subtitle(names_shocks{shlist});
        
ng = strcat(gpath,lmodel,lprior,dataset,lmodel_ref,nobsdrat_,lambdac_,nlagsc_,diago_,'IrfsALL-',names_shocks{shlist});
figure(1005);     print(char(strcat(ng,'.eps')),'-depsc2');   %print(char(strcat(ng,'.pdf')),'-dpdf');   % 
