close all;

figure(1000)
  [N1,X1] = hist(statsall,20);
  if size(statsall,2) >1  
  N1 = N1./repmat(sum(N1,1),[size(N1,1) 1]);
  else
  N1 = N1./repmat(sum(N1,2),[size(N1,1) 1]);    
  end
  H1 = bar(X1,N1);
  for ww = 1: size(statsall,2)
  set(H1(ww),'FaceColor',[1 1 1]);
  set(H1(ww),'EdgeColor',Acolor(ww,:));
  end
  ax1 = gca;  
  hold on;

  mbar = max(mbar,max(max(N1)));
  set(ax1,'YLim',[0 mbar]);
  Ax1Pos = get(ax1,'Position');


    if ~isnan(dobench)
ax2 = axes('Position',Ax1Pos,'Color','none');
      P2 = line([stats_0(nstats),stats_0(nstats)],[0,mbar]);
      set(P2,'Color',[1 0 0]);
      %set(ax2,'XLim',[xminth,xmaxth]);
      %set(ax2,'YLim',[yminth,ymaxth]);
      set(P2,'Marker','none','LineStyle','-','Parent',ax2);

      if dobench == 1
        
        %ax2 = axes('Position',get(ax1,'Position'),'Color','none');
        P2 = line([stats_0b(nstats),stats_0b(nstats)],[0,mbar]);
        set(P2,'Color',[1 0 0]);
        %set(ax2,'XLim',[xminth,xmaxth]);
        %set(ax2,'YLim',[yminth,ymaxth]);
        set(P2,'Marker','none','LineStyle',':','Parent',ax2);
        
      end
      set(ax2,'XLim',get(ax1,'XLim'));
      set(ax2,'YLim',get(ax1,'YLim'));
      set(ax2,'XTickLabel','');
      set(ax2,'YTickLabel','');
      
    end
      
  set(ax1,'Position',Ax1Pos);

    
  title('Corr(\pi,LS)');
  ng=strcat(gpath,modls,'PrioHist',POP_,'-',num2str(dobench));
  figure(1000);
  print(char(strcat(ng,'.pdf')),'-dpdf');   % print(char(strcat(ng,'.eps')),'-depsc2');   

  return
  
  figure(1000)
  [N1,X1] = hist(statsall,20);
  if size(statsall,2) >1  
  N1 = N1./repmat(sum(N1,1),[size(N1,1) 1]);
  else
  N1 = N1./repmat(sum(N1,2),[size(N1,1) 1]);    
  end
  H1 = bar(X1,N1);
  for ww = 1: size(statsall,2)
  set(H1(ww),'FaceColor',[1 1 1]);
  set(H1(ww),'EdgeColor',Acolor(ww,:));
  end
  ax1 = gca;  
  hold on;

  mbar = max(mbar,max(max(N1)));
  set(ax1,'YLim',[0 mbar]);
  Ax1Pos = get(ax1,'Position');


ax2 = axes('Position',Ax1Pos,'Color','none');
%P2 = line([stats_0(nstats)-.5:.1:stats_0(nstats)],[stats_0(nstats)-.5:.1:stats_0(nstats)]);
P2 = line([stats_0(nstats) stats_0(nstats)],[0 mbar]);
set(P2,'Color',[1 0 0]);
set(P2,'LineWidth',2);
      set(P2,'Marker','+','LineStyle','-','Parent',ax2);
      
  set(ax1,'Position',Ax1Pos);

    
  title('Corr(\pi,LS)');
  ng=strcat(gpath,modls,'PrioHist',POP_,'-',num2str(dobench));
  figure(1000);
  print(char(strcat(ng,'.pdf')),'-dpdf');   % print(char(strcat(ng,'.eps')),'-depsc2');             
