% function 'cheby': constructs Chebyshev polynomials up tp the mth degree 
%                   computed at the nodes x (where x is a row vector)

function T=cheby(m,x);
if m == 1
    T=[ones(1,size(x,1))];
else
    T=[ones(1,size(x,1));x'];
end

for i=3:m,
   T=[T;2*x'.*T(i-1,:)-T(i-2,:)];
end
