simnum = input('simulation number')
datec = strcat(date,lmodel,lprior,num2str(cointall),num2str(simnum));
mkdir(gpath,datec);


if exist(strcat(spath,'mean',lmodel,lprior,dataset,num2str(cointall),st,num2str(100*lambdas),num2str(100*ti(I)),...
                num2str(nlags),num2str(fixparam),num2str(JustMode),'.mat'),'file')
  %load(strcat(spath,'/mean',lmodel,lprior,dataset,num2str(cointall),st,num2str(100*lambdas),num2str(100*ti(I)),num2str(nlags), num2str(fixparam),num2str(JustMode)),'thetahat')
  %params = thetahat;
  %pause

end

CHANGEPARA = 0
if CHANGEPARA
  lambdas0 = NaN
  nlags0 = 4;
  coint0 = 0;

  wadj = params(21);

  oparaestch = strcat(spath,lmodel,lprior,'para',num2str(coint0),st,num2str(100*lambdas0),num2str(100*ti(I)),num2str(nlags0));
  params = load(oparaestch,strcat('params',num2str(100*lambdas0),num2str(100*ti(I)),num2str(nlags0)));
  params = getfield(params,strcat('params',num2str(100*lambdas0),num2str(100*ti(I)),num2str(nlags0)));
  params(21) = wadj;

end

viewfile001 = strcat(gpath,datec,'/out.m');
fid001 = fopen(viewfile001,'w');       % output file (set to write)  

for i = 1:npara
  fprintf(fid001,'\n %2.99s ',para_names{i}); 
  fprintf(fid001,'para number: %2.0f value: %2.3f ',[i,params(i)]);
end

[alp,zeta_p,iota_p,del,ups,Bigphi,s2,h,a2,nu_l,nu_m,zeta_w,iota_w,law,rstar,psi1,psi2,rho_r,pistar,...
    gam,Lstar,chi,laf,gstar,Ladj,rho_z,rho_phi,rho_chi,rho_laf,rho_mu,rho_b,rho_g,...
    sig_z,sig_phi,sig_chi,sig_laf,sig_mu,sig_b,sig_g,sig_r,...
    bet,zstar,phi,istokbarst,rkstar,cstar,ystar,istar,kstar,kbarstar,Rstarn,wstar,wadj,mstar] = getpara(params,mspec);

fprintf(fid001,'\n\n steady state\n');
fprintf(fid001,'pistar = %2.4f\n',pistar);
fprintf(fid001,'gstar = %2.4f\n',gstar);
fprintf(fid001,'zstar = %2.4f\n',zstar);
fprintf(fid001,'rkstar = %2.4f\n',rkstar);
fprintf(fid001,'cstar = %2.4f\n',cstar);
fprintf(fid001,'ystar = %2.4f\n',ystar);
fprintf(fid001,'istar = %2.4f\n',istar);
fprintf(fid001,'wstar = %2.4f\n',wstar);
fprintf(fid001,'kstar = %2.4f\n',kstar);
fprintf(fid001,'Rstarn = %2.4f\n',Rstarn);
fprintf(fid001,'rstar = %2.4f\n',Rstarn/pistar);


if coint
  figure(1);
  plot(tiI,XX(:,1),tiI,100*log(cstar/ystar)*ones(nobs,1))
  print(char(strcat(gpath,datec,'/CYratio.pdf')),'-dpdf');
  print(char(strcat(gpath,datec,'/CYratio.eps')),'-depsc2');
  figure(2);
  plot(tiI,XX(:,2),tiI,100*log(istar/ystar)*ones(nobs,1))
  print(char(strcat(gpath,datec,'/IYratio.pdf')),'-dpdf');
  figure(3);
  plot(tiI,XX(:,3),tiI,100*log(wstar/(ystar*Ladj))*ones(nobs,1))
  print(char(strcat(gpath,datec,'/WYratio.pdf')),'-dpdf');
end


%% check likelihood & prior         
[TTT,RRR,valid] = dsgesolv(params,mspec);

[ZZ,DD,DDcointadd,QQ,EE,MM,retcode] = measur(TTT,RRR,valid,params,nvar,nlags,mspec,npara,coint,cointadd,cointall);

% not yet
%         	            %% Remove cointegration component from measurement equation	                
%	                    ZZ = ZZ(1:nvar,:);
%	                    DD = DD(1:nvar,:);
%	                    EE = EE(1:nvar,1:nvar);
%	                    MM = MM(1:nvar,:);

nshocks = size(RRR,2);

nirf = 20;
aairf = irfdsge(TTT,RRR,params,nvar,mspec,npara,nirf,cum_irf,1,nlags,coint,cointadd,cointall);


getshocks = 0 %% set 1 if want to get smoothed estimates of shocks

if coint == 0  	
  
  %% truncate system matrices
  
  ZZ = ZZ(1:nvar,:);
  DD = DD(1:nvar,:);
  EE = EE(1:nvar,1:nvar);
  MM = MM(1:nvar,:);

  if getshocks
    %% add shocks to the state variables
    numAdd = nshocks;
    TTT_ = [[TTT,zeros(size(TTT,1),numAdd)];[zeros(numAdd,size(TTT,2)),zeros(numAdd)]];
    RRR_ = [RRR ; eye(numAdd)];
    ZZ_ = [ZZ,zeros(size(ZZ,1),numAdd)];
  else
    TTT_ = TTT;
    RRR_ = RRR;
    ZZ_ = ZZ;
  end	
  nstate = length(TTT_);
  
  HH = EE+MM*QQ*MM';
  VV = QQ*MM';
  VVall = [[RRR_*QQ*RRR_',RRR_*VV];[VV'*RRR_',HH]];
  
  %% Define the initial mean and variance for the state vector
  A0 = zeros(nstate,1);
  P0 = dlyap(TTT_,RRR_*QQ*RRR_');
  
  %% run Kalman filter on initial observations
  [pyt0,zend,Pend] = ...
      kalcvf2(YY0',1,zeros(nstate,1),TTT_,DD,ZZ_,VVall,A0,P0);
  
  %% run Kalman filter on main sample                              
  [pyt,zend,Pend,pred,vpred,yprederror,ystdprederror,yrmse,ystdrmse] = ...
      kalcvf2(YY',1,zeros(nstate,1),TTT_,DD,ZZ_,VVall,zend,Pend);
  
else
  
  %% use system matrices for extended system
  
  DDcoint = DD(nvar+1:nvar+coint,:);
  ZZcoint = ZZ(nvar+1:nvar+coint,:);
  
  if getshocks
    %% add shocks to the state variables
    numAdd = nshocks;
    TTT_ = [[TTT,zeros(size(TTT,1),numAdd)];[zeros(numAdd,size(TTT,2)),zeros(numAdd)]];
    RRR_ = [RRR ; eye(numAdd)];
    ZZ_ = [ZZ,zeros(size(ZZ,1),numAdd)];
  else
    TTT_ = TTT;
    RRR_ = RRR;
    ZZ_ = ZZ;
  end	
  nstate = length(TTT_);
  
  HH = EE+MM*QQ*MM';
  VV = QQ*MM';
  VVall = [[RRR_*QQ*RRR_',RRR_*VV];[VV'*RRR_',HH]];
  
  %% Define the initial mean and variance for the state vector
  A0 = zeros(nstate,1);
  P0 = dlyap(TTT_,RRR_*QQ*RRR_');
  
  %% run Kalman filter for initial observations on extended system
  [pytcoint,zend,Pend] = ...
      kalcvf2([YY0(1,:),YYcoint0]',1,zeros(nstate,1),TTT_,DD,ZZ_,VVall,A0,P0);
  
  %% run Kalman filter on remainder of initialization sample                              
  %% first, remove cointegration component from the system
  ZZ = ZZ(1:nvar,:);
  DD = DD(1:nvar,:);
  EE = EE(1:nvar,1:nvar);
  MM = MM(1:nvar,:);
  
  if getshocks
    %% add shocks to the state variables
    numAdd = nshocks;
    TTT_ = [[TTT,zeros(size(TTT,1),numAdd)];[zeros(numAdd,size(TTT,2)),zeros(numAdd)]];
    RRR_ = [RRR ; eye(numAdd)];
    ZZ_ = [ZZ,zeros(size(ZZ,1),numAdd)];
  else
    TTT_ = TTT;
    RRR_ = RRR;
    ZZ_ = ZZ;
  end	
  nstate = length(TTT_);

  HH = EE+MM*QQ*MM';
  VV = QQ*MM';
  VVall = [[RRR_*QQ*RRR_',RRR_*VV];[VV'*RRR_',HH]];
  
  if nlags > 1
    [pyt0,zend,Pend] = ...
        kalcvf2(YY0(2:end,:)',1,zeros(nstate,1),TTT_,DD,ZZ_,VVall,zend,Pend);
  end                              
  
  %% run Kalman filter on main sample                              
  [pyt,zend,Pend,pred,vpred,yprederror,ystdprederror,yrmse,ystdrmse] = ...
      kalcvf2(YY',1,zeros(nstate,1),TTT_,DD,ZZ_,VVall,zend,Pend);
  
end;                        


titlenames = varnames;
tprederror = tiI;%(1:1:size(yprederror,2))';
periodb = 20;
if ~isnan(lambdas)	

  [yyyyd,xxyyd,xxxxd,retcode] = varprio(TTT,RRR,valid,params,nvar,nlags,mspec,npara,coint,cointadd,cointall);

  if (lambdas > 0) & ~isinf(lambdas)
    
    yyyyd = YYYY + lambda*yyyyd;
    xxyyd = XXYY + lambda*xxyyd;
    xxxxd = XXXX + lambda*xxxxd;
    
  elseif isinf(lambdas)
    
    yyyyd = yyyyd;
    xxyyd = xxyyd;
    xxxxd = xxxxd;
    
  end
  nobsc = nobs + lambda;    
  k     = 1+nlags*nvar+coint;
  
  % Compute OLS estimates
  c_hat  = (xxxxd\xxyyd)';

  cc_tilded =  [c_hat(:,(coint+1+1):k) ; ...
                [eye(nvar*(nlags-1)),zeros(nvar*(nlags-1),nvar)]];
  
  if coint > 0
    cc_coint  =  c_hat(:,1:coint);
  else
    cc_coint  =  zeros(nvar,coint);
  end
  
  cc_cointtilde = [cc_coint ; zeros(nvar*(nlags-1),coint)];
  
  if ~isinf(lambdas)
    sig_hat = (yyyyd -xxyyd'*c_hat')/nobsc;
  elseif isinf(lambdas)
    sig_hat = (yyyyd -xxyyd'*c_hat');
  end

  a0_m = [];
  for ii=1:nvar
    a0_m = [a0_m,aairf(1,nvar*(ii-1)+1:nvar*ii)'];
  end; 
  
  [phimat,r_a] = qr(a0_m');         
  phimat = phimat';
  %% phimat is normalized (row signs are changed) so that the lower diagonal matrix (r_a') 
  %% has positive diagonal elements  
  phimat = repmat(sign(diag(r_a)),[1 nvar]).*phimat;

  %% var's irf
  %% Compute MA representation from companion form VAR
  sig_chol = chol(sig_hat)';

  sig_id = sig_chol*phimat;
  
  yprederror = YY - XX*c_hat';
  
  %% compute  identified shocks
  VARShocks = yprederror/(sig_id');
  
  cc_dy   = eye(nvar*nlags);
  cc_y    = eye(nvar*nlags);
  msel    = [eye(nvar) ; zeros((nlags-1)*nvar,nvar)];
  
  bbirf    = zeros(nirf,nvar^2);
  
  out         = msel'*cc_dy*msel*sig_chol;
  bbirf(1,:)  = out(:)';
  
  for t = 2:nirf;                 
    cc_dy = cc_tilded*cc_dy;
    if coint
      cc_dy = cc_dy+(cc_cointtilde*cointvec*msel')*cc_y;
      cc_y  = cc_y + cc_dy;
    end
    out = msel'*cc_dy*msel*sig_chol;
    bbirf(t,:)    = out(:)';  
  end;
  

  %% Compute Steady State for VAR
  if ~coint
    DD_ = [c_hat(:,1) ;zeros(nvar*(nlags-1),1)];
    DD_ = (eye(size(cc_tilded))-cc_tilded)\DD_;
    DD_ = DD_(1:nvar);
  elseif coint

    cc_lagcum = eye(nvar);
    for ilag = 1: nlags
      cc_lagcum = cc_lagcum - c_hat(:,(coint+1+(ilag-1)*nvar+1):(coint+1+ilag*nvar));
    end	
    % cc_coint cointvec
    % construct orthogonal matrices
    cc_coint_c = eye(nvar);
    cc_coint_corth = cc_coint_c(:,nvar-size(cc_coint,2):nvar);
    cc_coint_c     = cc_coint_c(:,1:size(cc_coint,2));
    cc_coint_orth  = (eye(nvar)-cc_coint_c*inv(cc_coint'*cc_coint_c)*cc_coint')*cc_coint_corth;
    cointvec_orth  = ((eye(nvar)-cc_coint_c*inv(cointvec*cc_coint_c)*cointvec)*cc_coint_corth)';
    DD_ = cointvec_orth'*inv(cc_coint_orth'*cc_lagcum*cointvec_orth')*cc_coint_orth'*c_hat(:,(coint+1));
  end
  
  fprintf(fid001,'\n\n  means \n');
  for V = 1:nvar
    fprintf(fid001,'\n %9.99s ',varnames{V});
    fprintf(fid001,'mean (meas eq) %2.4f, mean (VAR steady state) %2.4f, actual mean (data) %2.4f\n',[DD(V),DD_(V),mean(YY(:,V))]);
  end
  
  ccum_irf = [];
  for II=1:length(cum_irf)
    ccum_irf = [ccum_irf,cum_irf(II):nvar:nvar^2];    
  end							
  bbirf(:,ccum_irf) = cumsum(bbirf(:,ccum_irf),1);
  
  
  bbirf = bbirf*kron(phimat,eye(nvar));       
  
  titlenames = varnames;
  titlenames(cum_irf) = strcat(titlenames(cum_irf),' - cum');
  tirf = (1:1:nirf)';
  
  for Iirf = 1:nvar
    for V = 1:nvar
      figure(1001);
      subplot(nvar,nvar,V+nvar*(Iirf-1));   
      m = aairf(:,V+nvar*(Iirf-1));
      P = plot(tirf,m,'r-');
      set(P,'LineWidth',1);
      hold on;
      mbb = bbirf(:,V+nvar*(Iirf-1));
      P = plot(tirf,mbb,'k-');
      set(P,'LineWidth',1.5);
      hold off;
      
      if Iirf == 1
        title(titlenames(V));
      end
      if V == 1 
        P = ylabel(names_shocks(Iirf));
        set(P,'FontSize',12);
      end
      
      set(gca,'XLim',[min(tirf),max(tirf)]);
      set(gca,'XTick',tirf([1:10:end]));
      if Iirf == nvar
        set(gca,'XTickLabel',num2str(tirf([1:10:end])-1));       
      else 
        set(gca,'XTickLabel',[]);
      end
      
    end                                                
  end	

  %% this is monetary policy shocks
  for Iirf = nvar
    for V = 1:nvar
      figure(1002);
      subplot(1,nvar,V);   
      m = aairf(:,V+nvar*(Iirf-1));
      P = plot(tirf,m,'r-');
      set(P,'LineWidth',1);
      hold on;
      mbb = bbirf(:,V+nvar*(Iirf-1));
      P = plot(tirf,mbb,'k-');
      set(P,'LineWidth',1.5);
      hold off;
      
      title(titlenames(V));
      if V == 1 
        P = ylabel(names_shocks(Iirf));
        set(P,'FontSize',12);
      end
      
      set(gca,'XLim',[min(tirf),max(tirf)]);
      set(gca,'XTick',tirf([1:10:end]));
      if Iirf == nvar
        set(gca,'XTickLabel',num2str(tirf([1:10:end])-1));       
      else 
        set(gca,'XTickLabel',[]);
      end
      
    end                                                
  end

  %% get forecasts for DSGE


  if coint
    %%%%%%%%%%%%%%%%%%%%%%%% coint vectors : VAR vs DSGE
    coint_DSGE = zeros(coint,1);
    if mspec == 101
      %% consumption - output
      coint_DSGE(1) = zend(2)-zend(1)+100*log(cstar/ystar);
      
      %% investment - output
      coint_DSGE(2) = zend(3)-zend(1)+100*log(istar/ystar);
      
      %% real wage - output
      coint_DSGE(3) = zend(13)-zend(1)+100*(log(wstar/ystar)-wadj);
      if DEMEAN
        %% consumption - output
        coint_DSGE(1) = zend(2)-zend(1);
        
        %% investment - output
        coint_DSGE(2) = zend(3)-zend(1);
        
        %% real wage - output
        coint_DSGE(3) = zend(13)-zend(1);
      end
    end
    fprintf(fid001,'\n\n  coint vectors : VAR vs DSGE \n');
    for V = 1:coint
      fprintf(fid001,'DSGE %2.4f, VAR %2.4f\n',[coint_DSGE(V),XXpred(cointadd+V)]);
    end
    %					    XXpred(1:coint) = coint_DSGE;
  end
  
  %%%%%%%%%%%%%%%%%%%%%%%%% get predicted values for DSGE
  yypred_DSGE  = zeros(qahead,nvar);
  z = zend;
  
  for t = 1:qahead;       		
    z = TTT_*z;
    yypred_DSGE(t,:) = (DD+ZZ_*z)';
  end;
  yyact = [YY;NaN*yypred_DSGE];
  yycum_DSGE = [YY;yypred_DSGE];
  yypred_DSGE = [NaN*YY(1:end-1,:);YY(end,:);yypred_DSGE];
  yycum_DSGE(:,ICUM) = cumsum(yycum_DSGE(:,ICUM));

  %%%%%%%%%%%%%%%%%%%%%%%%% get predicted values for VAR
  yypred  = zeros(qahead,nvar);
  xxpred =  XXpred;
  if coint
    for t = 1:qahead;       
      out = (c_hat*xxpred')';
      yypred(t,:) = out;
      xxl = xxpred(coint+1+1:k-nvar);
      addcoint = xxpred(1:coint)+out*cointvec';				    
      xxpred = [addcoint,1,out,xxl];           
    end;
  elseif ~coint
    for t = 1:qahead;       
      out = (c_hat*xxpred')';
      yypred(t,:) = out;
      xxl = xxpred(coint+1+1:k-nvar);
      xxpred = [1,out,xxl];           
    end;
  end
  
  yyact = [YY;NaN*yypred];
  yycum = [YY;yypred];
  yypred = [NaN*YY(1:end-1,:);YY(end,:);yypred];
  yycum(:,ICUM) = cumsum(yycum(:,ICUM));



  tpred = [tiI;[(tiI(end)+.25):.25:(tiI(end)+.25*qahead)]'];

  
  titlenames = varnames;
  for ivar = 1: nvar
    figure(800);
    subplot(3,3,ivar);                  
    P = plot(tpred,yypred(:,ivar),'b-');
    set(P,'LineWidth',1);     
    hold on;
    P = plot(tpred,yyact(:,ivar),'k-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tpred),max(tpred)]);
    set(gca,'XTick',tpred([1 25:25:end]));
    set(gca,'XTickLabel',num2str(tpred([1 25:25:end])));       
    
    figure(801);
    subplot(3,3,ivar);                  
    P = plot(tpred(end-periodb-qahead:end),yypred(end-periodb-qahead:end,ivar),'b-');
    set(P,'LineWidth',1);     
    hold on;
    P = plot(tpred(end-periodb-qahead:end),yyact(end-periodb-qahead:end,ivar),'k-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tpred(end-periodb-qahead:end:end)),max(tpred(end-periodb-qahead:end))]);
    set(gca,'XTick',tpred(end-periodb-qahead:floor((periodb+qahead)/3):end));
    set(gca,'XTickLabel',num2str(tpred(end-periodb-qahead:floor((periodb+qahead)/3):end))); 

    figure(802);
    subplot(3,3,ivar);                  
    P = plot(tpred(end-periodb-qahead:end),yypred(end-periodb-qahead:end,ivar),'b-');
    set(P,'LineWidth',1);     
    hold on;
    subplot(3,3,ivar);                  
    P = plot(tpred(end-periodb-qahead:end),yypred_DSGE(end-periodb-qahead:end,ivar),'r-');
    set(P,'LineWidth',1);     
    hold on;
    P = plot(tpred(end-periodb-qahead:end),yyact(end-periodb-qahead:end,ivar),'k-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tpred(end-periodb-qahead:end:end)),max(tpred(end-periodb-qahead:end))]);
    set(gca,'XTick',tpred(end-periodb-qahead:floor((periodb+qahead)/3):end));
    set(gca,'XTickLabel',num2str(tpred(end-periodb-qahead:floor((periodb+qahead)/3):end))); 

    figure(803);
    subplot(3,3,ivar);                  
    P = plot(tpred(end-periodb-qahead:end),yycum(end-periodb-qahead:end,ivar),'b-');
    set(P,'LineWidth',1);     
    hold on;
    subplot(3,3,ivar);                  
    P = plot(tpred(end-periodb-qahead:end),yycum_DSGE(end-periodb-qahead:end,ivar),'r-');
    set(P,'LineWidth',1);     
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tpred(end-periodb-qahead:end:end)),max(tpred(end-periodb-qahead:end))]);
    set(gca,'XTick',tpred(end-periodb-qahead:floor((periodb+qahead)/3):end));
    set(gca,'XTickLabel',num2str(tpred(end-periodb-qahead:floor((periodb+qahead)/3):end))); 
  end 

  if getshocks
    for ish = 1:nshocks
      figure(903);
      subplot(nshocks,1,ish); 
      ssho = sm(nstate-nshocks+ish,:)'/std(sm(nstate-nshocks+ish,:));                  
      P = plot(tprederror,ssho,'r-');
      set(P,'LineWidth',1.5);              
      hold on;
      P = plot(tprederror,VARShocks(:,ish),'k-');
      set(P,'LineWidth',1.5);              
      hold on;
      P = plot(tprederror,zeros(size(ssho)),'r:');
      set(P,'LineWidth',.3);              
      hold off;
      title(names_shocks(ish));
      set(gca,'XLim',[min(tprederror),max(tprederror)]);
      set(gca,'XTick',tprederror([1 25:25:end]));
      set(gca,'XTickLabel',num2str(tprederror([1 25:25:end])));                
      
      figure(904);				    
      subplot(1,nshocks,ish); 
      ssho = sm(nstate-nshocks+ish,:)'/std(sm(nstate-nshocks+ish,:));                  
      P = plot(tprederror(end-periodb:end),ssho(end-periodb:end),'r-');
      set(P,'LineWidth',1.5);              
      P = plot(tprederror(end-periodb:end),VARShocks(end-periodb:end,ish),'k-');
      set(P,'LineWidth',1.5);              
      hold on;
      hold on;
      P = plot(tprederror(end-periodb:end),zeros(size(ssho(end-periodb:end))),'r:');
      set(P,'LineWidth',.3);
      hold off;
      title(names_shocks(ish));
      set(gca,'XLim',[min(tprederror(end-periodb:end)),max(tprederror(end-periodb:end))]);
      set(gca,'YLim',[-4 4]);
      set(gca,'XTick',tprederror(end-periodb:floor(periodb/2):end));
      set(gca,'XTickLabel',num2str(tprederror(end-periodb:floor(periodb/2):end)));    
    end   
    %saveas(figure(903),strcat(gpath,datec,'/f903.fig'),'fig');
    figure(903);
    print(char(strcat(gpath,datec,'/f903.pdf')),'-dpdf');

  end

  %saveas(figure(1001),strcat(gpath,datec,'/dsgeirfs.fig'),'fig');
  figure(1001); print(char(strcat(gpath,datec,'/dsgeirfs.eps')),'-depsc2');
  figure(1001); print(char(strcat(gpath,datec,'/dsgeirfs.pdf')),'-dpdf');
  %saveas(figure(801),strcat(gpath,datec,'/forecasts.fig'),'fig');
  figure(801); print(char(strcat(gpath,datec,'/forecasts.pdf')),'-dpdf');
  %saveas(figure(802),strcat(gpath,datec,'/f802.fig'),'fig');
  figure(802); print(char(strcat(gpath,datec,'/f802.pdf')),'-dpdf');
  %saveas(figure(803),strcat(gpath,datec,'/f803.fig'),'fig');
  figure(803); print(char(strcat(gpath,datec,'/f803.pdf')),'-dpdf');
  
  
elseif isnan(lambdas)	

  
  
  [sm, vsm] = kalcvs(YY',zeros(nstate,1),TTT_,DD,ZZ_,VVall,pred,vpred); 

  
  fprintf(fid001,'\n\n root mean squared errors \n');
  for V = 1:nvar
    fprintf(fid001,'\n %9.99s ',varnames{V});
    fprintf(fid001,'RMSE (model) %2.4f, Std RMSE (model) %2.4f, actual st dev (data) %2.4f\n',[yrmse(V),ystdrmse(V),std(YY(:,V))]);
  end
  
  fprintf(fid001,'\n\n  means \n');
  for V = 1:nvar
    fprintf(fid001,'\n %9.99s ',varnames{V});
    fprintf(fid001,'mean (meas eq) %2.4f, actual mean (data) %2.4f\n',[DD(V),mean(YY(:,V))]);
  end
  
  
  for ivar = 1: nvar
    figure(900);
    subplot(3,3,ivar);                  
    P = plot(tprederror,yprederror(ivar,:)','-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tprederror),max(tprederror)]);
    set(gca,'XTick',tprederror([1 25:25:end]));
    set(gca,'XTickLabel',num2str(tprederror([1 25:25:end])));   
  end   
  
  for ivar = 1: nvar
    figure(901);
    subplot(3,3,ivar);                  
    P = plot(tprederror,ystdprederror(ivar,:)','-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tprederror),max(tprederror)]);
    set(gca,'XTick',tprederror([1 35:35:end]));
    set(gca,'XTickLabel',num2str(tprederror([1 35:35:end])));  
  end   
  
  for ivar = 1: nvar
    figure(902);
    subplot(3,3,ivar);                  
    P = plot(tprederror,YY(:,ivar)-yprederror(ivar,:)','-');
    set(P,'LineWidth',2);              
    set(P,'Color',[.7 .7 .7]);
    hold on;
    P = plot(tprederror,YY(:,ivar),'k-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tprederror),max(tprederror)]);
    set(gca,'XTick',tprederror([1 35:35:end]));
    set(gca,'XTickLabel',num2str(tprederror([1 35:35:end])));       
    set(gca,'FontSize',9);     
    
    figure(907);
    subplot(3,3,ivar);                  
    P = plot(tprederror(end-periodb:end),cat(2,(YY(end-periodb:end,ivar)-yprederror(ivar,end-periodb:end)'),YY(end-periodb:end,ivar)),'-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tprederror(end-periodb:end)),max(tprederror(end-periodb:end))]);
    set(gca,'XTick',tprederror(end-periodb:floor(periodb/3):end));
    set(gca,'XTickLabel',num2str(tprederror(end-periodb:floor(periodb/3):end)));   	    
  end   
  for ish = 1:(nshocks-1)
    figure(905);
    subplot(nshocks-1,1,ish); 
    ssho = sm(16+ish,:)';                  
    P = plot(tprederror,ssho,'k-');
    set(P,'LineWidth',1.5);              
    hold on;
    P = plot(tprederror,zeros(size(ssho)),'r:');
    set(P,'LineWidth',.3);              
    hold off;
    ylabel(names_shocks(ish));
    set(gca,'XLim',[min(tprederror),max(tprederror)]);
    set(gca,'XTick',tprederror([1 35:35:end]));
    set(gca,'XTickLabel',num2str(tprederror([1 35:35:end])));  
    
    figure(906);				    
    subplot(1,nshocks,ish); 
    ssho = sm(16+ish,:)';                  
    P = plot(tprederror(end-periodb:end),ssho(end-periodb:end),'k-');
    set(P,'LineWidth',1.5);              
    hold on;
    P = plot(tprederror(end-periodb:end),zeros(size(ssho(end-periodb:end))),'r:');
    set(P,'LineWidth',.3);
    hold off;
    ylabel(names_shocks(ish));
    set(gca,'XLim',[min(tprederror(end-periodb:end)),max(tprederror(end-periodb:end))]);
    set(gca,'XTick',tprederror(end-periodb:floor(periodb/2):end));
    set(gca,'XTickLabel',num2str(tprederror(end-periodb:floor(periodb/2):end)));             
  end   

  if any(mspec == [103,104])
    outgap = (sm(1,:)-sm(17,:))';

    figure(1900);
    P = plot(tprederror,outgap,'k-');
    set(P,'LineWidth',1.5);              
    hold on;
    P = plot(tprederror,zeros(size(ssho)),'r:');
    set(P,'LineWidth',.3);              
    hold off;
    title('Output Gap');
    set(gca,'XLim',[min(tprederror),max(tprederror)]);
    set(gca,'XTick',tprederror([1 25:25:end]));
    set(gca,'XTickLabel',num2str(tprederror([1 25:25:end])));  

    %saveas(figure(1900),strcat(gpath,datec,'/outgap.fig'),'fig');
    figure(1900); print(char(strcat(gpath,datec,'/f1900.pdf')),'-dpdf');
  
    fprintf(fid001,'\n\n output gap \n');
    fprintf(fid001,'%2.2f %2.6f\n',[tiI,outgap]');


  end
  
  if getshocks
    for ish = 1:nshocks
      figure(903);
      subplot(nshocks,1,ish); 
      ssho = sm(nstate-nshocks+ish,:)'/std(sm(nstate-nshocks+ish,:));                  
      P = plot(tprederror,ssho,'k-');
      set(P,'LineWidth',1.5);              
      hold on;
      P = plot(tprederror,zeros(size(ssho)),'r:');
      set(P,'LineWidth',.3);              
      hold off;
      P = ylabel(names_shocks(ish));
      set(P,'FontSize',12);
      set(gca,'XLim',[min(tprederror),max(tprederror)]);
      set(gca,'XTick',tprederror([1 25:25:end]));
      set(gca,'XTickLabel',num2str(tprederror([1 25:25:end])));                
      
      figure(904);				    
      subplot(1,nshocks,ish); 
      ssho = sm(nstate-nshocks+ish,:)'/std(sm(nstate-nshocks+ish,:));                  
      P = plot(tprederror(end-periodb:end),ssho(end-periodb:end),'k-');
      set(P,'LineWidth',1.5);              
      hold on;
      P = plot(tprederror(end-periodb:end),zeros(size(ssho(end-periodb:end))),'r:');
      set(P,'LineWidth',.3);
      hold off;
      title(names_shocks(ish));
      set(gca,'XLim',[min(tprederror(end-periodb:end)),max(tprederror(end-periodb:end))]);
      set(gca,'YLim',[-4 4]);
      set(gca,'XTick',tprederror(end-periodb:floor(periodb/2):end));
      set(gca,'XTickLabel',num2str(tprederror(end-periodb:floor(periodb/2):end)));    
    end   
    %saveas(figure(903),strcat(gpath,datec,'/f903.fig'),'fig');
    figure(903); print(char(strcat(gpath,datec,'/f903.pdf')),'-dpdf');
    %saveas(figure(904),strcat(gpath,datec,'/f904.fig'),'fig');
    figure(904); print(char(strcat(gpath,datec,'/f904.pdf')),'-dpdf');
    
  end

  %% forecasts
  yypred  = zeros(qahead,nvar);
  z = zend;
  
  for t = 1:qahead;       		
    z = TTT_*z;
    yypred(t,:) = (DD+ZZ_*z)';
  end;
  yyact = [YY;NaN*yypred];
  yypred = [NaN*YY(1:end-1,:);YY(end,:);yypred];

  tpred = [tiI;[(tiI(end)+.25):.25:(tiI(end)+.25*qahead)]'];

  for ivar = 1: nvar
    figure(800);
    subplot(3,3,ivar);                  
    P = plot(tpred,yypred(:,ivar),'r-');
    set(P,'LineWidth',1);     
    hold on;
    P = plot(tpred,yyact(:,ivar),'b-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tpred),max(tpred)]);
    set(gca,'XTick',tpred([1 25:25:end]));
    set(gca,'XTickLabel',num2str(tpred([1 25:25:end])));       
    
    figure(801);
    subplot(3,3,ivar);                  
    P = plot(tpred(end-periodb-qahead:end),yypred(end-periodb-qahead:end,ivar),'r-');
    set(P,'LineWidth',1);     
    hold on;
    P = plot(tpred(end-periodb-qahead:end),yyact(end-periodb-qahead:end,ivar),'b-');
    set(P,'LineWidth',1);              
    hold off;
    title(titlenames(ivar));
    set(gca,'XLim',[min(tpred(end-periodb-qahead:end:end)),max(tpred(end-periodb-qahead:end))]);
    set(gca,'XTick',tpred(end-periodb-qahead:floor((periodb+qahead)/3):end));
    set(gca,'XTickLabel',num2str(tpred(end-periodb-qahead:floor((periodb+qahead)/3):end))); 
  end 

  titlenames = varnames;
  titlenames(cum_irf) = strcat(titlenames(cum_irf),' - cum');
  tirf = (1:1:nirf)';
  for Iirf = 1:nvar
    for V = 1:nvar
      figure(1001);
      subplot(nvar,nvar,V+nvar*(Iirf-1));   
      m = aairf(:,V+nvar*(Iirf-1));
      P = plot(tirf,m,'-');
      set(P,'LineWidth',1);
      hold off;
      
      if Iirf == 1
        title(titlenames(V));
      end
      if V == 1 
        P = ylabel(names_shocks(Iirf));
        set(P,'FontSize',12);
      end
      
      set(gca,'XLim',[min(tirf),max(tirf)]);
      set(gca,'XTick',tirf([1:10:end]));
      if Iirf == nvar
        set(gca,'XTickLabel',num2str(tirf([1:10:end])-1));       
      else 
        set(gca,'XTickLabel',[]);
      end
      
    end   
  end	
  
  for Iirf = nvar
    for V = 1:nvar
      figure(1002);
      subplot(1,nvar,V);   
      m = aairf(:,V+nvar*(Iirf-1));
      P = plot(tirf,m,'b-');
      set(P,'LineWidth',1);
      hold off;
      
      title(titlenames(V));
      if V == 1 
        ylabel(names_shocks(Iirf));
      end
      
      set(gca,'XLim',[min(tirf),max(tirf)]);
      set(gca,'XTick',tirf([1:10:end]));
      if Iirf == nvar
        set(gca,'XTickLabel',num2str(tirf([1:10:end])-1));       
      else 
        set(gca,'XTickLabel',[]);
      end
      
    end                                                
  end
  %saveas(figure(900),strcat(gpath,datec,'/ferrors.fig'),'fig');
  figure(900); print(char(strcat(gpath,datec,'/ferrors.pdf')),'-dpdf');
  %saveas(figure(901),strcat(gpath,datec,'/stferrors.fig'),'fig');
  figure(901); print(char(strcat(gpath,datec,'/stferrors.pdf')),'-dpdf');
  %saveas(figure(902),strcat(gpath,datec,'/data.fig'),'fig');
  figure(902); print(char(strcat(gpath,datec,'/data.pdf')),'-dpdf');
  %saveas(figure(905),strcat(gpath,datec,'/processes.fig'),'fig');
  figure(905); print(char(strcat(gpath,datec,'/processes.pdf')),'-dpdf');
  %saveas(figure(906),strcat(gpath,datec,'/shortprocesses.fig'),'fig');
  figure(906); print(char(strcat(gpath,datec,'/shortprocesses.pdf')),'-dpdf');
  %saveas(figure(1001),strcat(gpath,datec,'/irf.fig'),'fig');
  figure(1001); print(char(strcat(gpath,datec,'/dsgeirfs.pdf')),'-dpdf');
  %saveas(figure(1002),strcat(gpath,datec,'/dsgeMoneyirfs.fig'),'fig');
  figure(1002); print(char(strcat(gpath,datec,'/dsgeMoneyirfs.pdf')),'-dpdf');
  %saveas(figure(801),strcat(gpath,datec,'/forecasts.fig'),'fig');
  figure(801); print(char(strcat(gpath,datec,'/forecasts.pdf')),'-dpdf');
end  %% end if isnan(lambdas)



if isinf(lambdas)
  [yyyyd,xxyyd,xxxxd,retcode] = varprio(TTT,RRR,valid,params,nvar,nlags,mspec,npara,coint,cointadd,cointall);
  
  if retcode == 0
    % inderterminacy
    lnpy = -1E10;
  else
    phis = xxxxd \ xxyyd;
    sigs = yyyyd -xxyyd'*phis;
    lnpy = -(nvar*(nobs)/2)*log(2*pi)-(nobs/2)*log(det(sigs)) ...
           -.5*sum(diag( sigs \ (YYYY-phis'*XXYY-XXYY'*phis+phis'*XXXX*phis)));
  end
  
elseif isnan(lambdas)
  lnpy = dsgelh(params,YY,YY0,nobs,nlags,nvar,mspec,npara,coint,cointadd,YYcoint0);                 
else
  lnpy = feval(marglh,params,YYYY,XXYY,XXXX,nobs,lambda,nlags,nvar,mspec,npara,coint);
end
lnprio = priodens(params,pmean,pstdd,pshape);   
obj = real(lnpy+lnprio);

fprintf(fid001,'\n\n likelihood  = %2.6f\n',lnpy);
fprintf(fid001,'prior  = %2.6f\n',lnprio);
fprintf(fid001,'posterior  = %2.6f\n',obj);


fclose(fid001);

%			    open(viewfile001);
%saveas(figure(1001),strcat(gpath,datec,'/dsgeirfs.fig'),'fig');
figure(1001); print(char(strcat(gpath,datec,'/dsgeirfs.pdf')),'-dpdf');


CLOSE = menu('proceed and save values?','No','Yes')
close all;

