% procedure LAGN(X,N)
% lags (forwards) a matrix by N periods (along the row dimension) 
% if N is positive (negative)
% if x is TxK, y is (T-N)xK

function y=lagn(x,n)
[t,k]=size(x);
if n>0
   y=x(1:t-n,:);
else
   y=x(-n+1:t,:);
end
