      function [ax,h]=subtitle(text)
      %
      %Centers a title over a group of subplots.
      %Returns a handle to the title and the handle to an axis.
      % [ax,h]=subtitle(text)
      %           returns handles to both the axis and the title.
      % ax=subtitle(text)
      %           returns a handle to the axis only.

      ax=axes('Units','Normal','Position',[.05 .05 .9 .9],'Visible','off','FontSize',12);
%      ax=axes('Units','Normal','Position',[.05 .05 .9 .9],'Visible','on','FontSize',12, 'XColor',[1 1 1], 'YColor',[1 1 1]);
%      ax=axes('Units','Normal','Position',[.075 .075 .85 .85],'Visible','off');
      axes(ax)
      set(get(ax,'Title'),'Visible','on')
      title(text);
      if (nargout < 2)
        return
      end
      h=get(ax,'Title');

      %%%END CODE%%%
