function [lnpy] = objfcnmhinf(para,yyyy,xxyy,xxxx,nobs,nlags,nvar,mspec,npara,trspec,pmean,pstdd,pshape,yyyyd,xxyyd,xxxxd,retcode,para_mask,coint,cointadd,cointall);

  if retcode == 0
    % inderterminacy
    lnpy = -1E10;
  else
    
      
  lnpy = 0; %% this is the dummy obs part
      for i_s = 1:size(yyyy,3);
        
        
        if nlags == 0
          
          %yyyyd = diag(diag(yyyyd));
          %yyyy = diag(diag(yyyy));

          yyyyd = diag(yyyyd);        
          yyyy = diag(yyyy)/nobs;
          
          lnpy =  lnpy -nobs*sum( (yyyyd - yyyy ).^2 );


        else
          
          
          
          xxyyd = xxyyd(1+cointadd:end,:);
          xxyy  = xxyy(1+cointadd:end,:,:);
          
          % evaluate restricted GAUSSIAN likelihood
          phis = xxxxd \ xxyyd;
          sigs = yyyyd -xxyyd'*phis;

          lnpy = lnpy -(nvar*(nobs)/2)*log(2*pi)-(nobs/2)*log(det(sigs)) ...
                 -.5*sum(diag( sigs \ (yyyy(:,:,i_s)-phis'*xxyy(:,:,i_s)-xxyy(:,:,i_s)'*phis+phis'*xxxx(:,:,i_s)*phis)));

          %    sighat = (yyyy - xxyy'*inv(xxxx)*xxyy)/nobs;

        end
        
      end
    
  end;

  lnpy    = real(lnpy);

